FAQ Database Discussion Community


Why am I getting an invalid syntax error?

python,python-3.x,cmd,terminal,pip
I am following a tutorial on installing the Requests library, a HTTP library for Python. Requests Installation Guide The tutorial says to install the Requests library, simply run this command in my terminal pip install requests I didn't which terminal to run this command in but I first tried Windows...

Some Python Versions not Recognizing Installed Packages

python,python-2.7,unix,pip
I have installed python on my macbook with the python installer from Python.org. Subsequently, I went and installed pip, ipython, and numpy. Everything seemed fine. However, now I am getting the following problem. I can import numpy when I run ipython, but not when I run regular python. E.g. Logister-MacBook-Pro:~...

No distributions at all found, even though I recently published the package

python,pip,pypi
Hello fellow programmers, So lately I've been working on a project at my work that we want to open source. It's the package called django-push-notifications-manager (yes, what a unusual long name I know). So I already did the registration and the uploading of the package, but for some kind of...

pip unexpectedly not installing latest version of git package with branch/commit pinning

python,git,pip
I have a requirements.txt file with the following line (among others): git+https:[email protected]#egg=SexMachine When I do pip install -r requirements.txt I see Requirement already satisfied (use --upgrade to upgrade): SexMachine from git+https:[email protected]#egg=SexMachine in /home/myuser/virtual_env/lib/python2.7/site-packages (from -r requirements.txt (line 38)) And the package is not updated to the master version. Actually, it...

sdist correct but pip install no static

python,pip,setuptools,pypi
I am trying to deliver a Django app via pip (stored on Pypi). The problem is that when I install the app with pip, it does not contain the static folder inside of the main specified package. Here is what I have: ├── LICENSE.txt ├── MANIFEST.in ├── README.rst ├── setup.cfg...

Uninstall Python package using pip3

python,pip,python-3.4,spyder
I am working with Python 3.4 and have installed a package (spyder) using pip3 install. It is works as it should and I can start it from the terminal. Since I want to switch my IDE, I tried to uninstall it using pip3 uninstall in the same way as the...

Python command removed from PATH when adding PIP

python,cmd,path,pip
I started by downloading Python and adding it to the PATH variable setx PATH c:\Python27 Next when I run the Python command it works Next I installed pip and I had to add it to de PATH variable setx PATH c:\Python27\scripts Now when I run the PIP command it works,...

Specify greater than or equal to Git tag in requirements.txt

python,git,pip
In my requirements.txt I'd like to specify that I need greater than or equal to a specific version of a Python dependency. I could do this if I wanted the dependency Python package installed from PyPI: ExamplePackage>=0.2 But what if I want to specify the GitHub URL to install from?...

What is the best way to install packages on TeamCity server?

python,selenium,pip,packages,teamcity-9.0
I am new to TeamCity and I do not know how to install packages I have imported in my python code on the TeamCity server. For example I have imported selenium in my code and tried to install it using command line on TeamCity by pip install selenium but I...

Error in the installation of scrapy

python,scrapy,pip,gnu
I just tried to run a simple sudo pip install scrapy and after the download of every component it gives me an error: Command "/usr/bin/python -c "import setuptools, tokenize;__file__='/tmp/pip-build-s37cTl/cffi/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-62NAJB-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-s37cTl/cffi I satisfy all the...

Python/Pip C package PyProj fails to compile with GCC

python,gcc,compiler-errors,pip,proj
I'm trying to install PyProj on a WebFaction VM, via virtualenv & pip. I'm getting compile errors. I'm using this command: $ pip install pyproj There's a lot of output, terminating in this: src/geodesic.c: In function ‘InverseStart’: src/geodesic.c:1093: error: ISO C90 forbids mixed declarations and code error: command 'gcc' failed...

No distributions at all found for setup.py

python,pip
I'm having an issue with pip install. I am trying to download SQLAlchemy and download the gz file from here. However, when I type pip install setup.py in the Command Prompt, I get: Downloading/unpacking setup.py Could not find any downloads that satisfy the requirement setup.py Cleaning up.. No distributions at...

Python ImportError: no module named os

python,pip,sudo,importerror,easy-install
Trying to upgrade matplotlib as in this post, I ran export PYTHONHOME=/usr/lib/python2.7/ sudo easy_install -U distribute sudo pip install --upgrade matplotlib Now whenever I try to run python I get ImportError: no module named os. What happened? Please help me. I'm on OS X 10.9.5....

Error while installing deepdish

python,pip,ubuntu-14.04,caffe,lmdb
I'm trying to create an LMDB database file to be used with Caffe according to this tutorial on an Ubuntu 14.04 machine using Anaconda Python 2.7.9. However, when I do pip install deepdish, I'm getting the following error: Collecting deepdish Using cached deepdish-0.1.4.tar.gz Complete output from command python setup.py egg_info:...

i am getting error while i run pip install pokitdok?

python,pip
when i run >pip install pokitdok I got below error to run >pip install pokitdok what changes i have to do Exception: Traceback (most recent call last): File "/usr/local/lib/python2.7/dist-packages/pip-6.0.8-py2.7.egg/pip/basecommand.py", line 232, in main status = self.run(options, args) File "/usr/local/lib/python2.7/dist-packages/pip-6.0.8-py2.7.egg/pip/commands/install.py", line 347, in run root=options.root_path, File "/usr/local/lib/python2.7/dist-packages/pip-6.0.8-py2.7.egg/pip/req/req_set.py", line 543, in install...

How can I tidy up my install script keeping only what is used?

python,pip
We use pip for installations and now I want to clean it so that only the packages that are used are installed. Is it an acceptable strategy to scan my python files in the python project using pycharm and removing the packages which have no used imports or could that...

How to pip install from github…powershell gives error Cannot find command 'git'?

python,powershell,pip,virtualenv,psycopg2
I'm trying install psycopg2 into my virtualenv. I've tried pip I've tried easy_install nothing is working... installing from pip is the more desirable choice but it has to be done through nwcell's github package https://github.com/nwcell/psycopg2-windows heres the command I've been using: pip install git+https:[email protected]#egg=psycopg2 ...

The command “sudo apt-get install python-dev, python3-dev” failed and exited with 100 during

python,python-2.7,python-3.x,command-line,pip
It seems like sudo apt-get install build-essential worked just fine but, but it gets error while installing python-pip. Here's the log of the failed build....

Anaconda site-packages

python,python-2.7,pip,anaconda
After installing a package in an anaconda environment, I'll like to make some changes to the code in that package. Where can I find the site-packages directory containing the installed packages? I do not find a directory /Users/username/anaconda/lib/python2.7/site-packages...

Installing mod_wsgi for Python3 on Ubuntu

ubuntu,python-3.x,pip,virtualenv,mod-wsgi
Could anyone give me a clear set of instructions for installing mod_wsgi on Ubuntu for Python 3? I did get Flask & mod_wsgi successfully using Python3, and for a brief moment felt happy. ...until I looked at Apache's log and realised that I've run into this problem: https://askubuntu.com/questions/569550/assertionerror-using-apache2-and-libapache2-mod-wsgi-py3-on-ubuntu-14-04-python apt-get is...

pip install --user error under OS X (virtualenv doesn't fix it)

osx,python-2.7,pip
I used to install python (2.7.6) packages using sudo pip install [...] until I recently decided that this was a bad idea and I should use: pip install --user [...] instead. Since I am using Mac OS X (10.10.3), my python modules had been installed into /Library/Python/2.7/site-packages. Now, with the...

how to install library in pyCharm?

python,numpy,pip,pycharm
i am new to python(2.7) and i am using pyCharm 4.0.6 community on Ubuntu 14.04 and i am working in a school project and i am supposed to use numpy library so whenever i try to install numpy it gives me that error "collect2: error: ld returned 1 exit status"...

Python & Scrapy: Issue with Scrapy version

python,scrapy,pip
I'm using Ubuntu 14.04 x64, I've followed the Scrapy docs to install the package using pip: pip install scrapy Then I followed the initialization of the example project and try to execute the example spider: scrapy crawl example and I get this error: 2015-02-23 10:23:42+0100 [scrapy] INFO: Scrapy 0.14.4 started...

Mix Python virtualenv packages with distro packages?

python,ubuntu,pip,virtualenv
What is a good way to handle the case when you use Python virtualenv but you want some of the packages installed via your distro's package manager? Let's say you need lxml but because you can't get pip install lxml to work on Ubuntu. and you really don't want to...

pip install for mpld3

python,pip
I just did a sudo pip install matplotlib which worked fine. Then sudo pip install matplotlib Details: $sudo pip install mpld3 Downloading/unpacking mpld3 Downloading mpld3-0.2.tar.gz (1.1MB): 1.1MB downloaded Running setup.py (path:/private/tmp/pip_build_root/mpld3/setup.py) egg_info for package mpld3 Installing collected packages: mpld3 Running setup.py install for mpld3 Successfully installed mpld3 Cleaning up... So...

Is there a more efficient way to satisfy project dependencies than pip?

python,linux,django,dependencies,pip
I work on a system and the hosting guys don't want to use an install script that uses pip. Now we have a large pip requirements file that install the dependencies. Is there any other way to do it than using pip? Can it be done using yum or apt-get...

issue with pip installing django in ubuntu server virtualenv

python,django,ubuntu,pip,virtualenv
I created a virtualenv on and EC2 instance, and have installed ubuntu server. I created a non root user "ivan" as gave is sudo permission: usermod -a -G sudo ivan When I activate the virtualenv and run this command with the user ivan: pip install django==1.7 I get various permission...

Not able to install pygame module in windows

python-2.7,pip
I am trying to install pygame using pip install pygame but it does not work... C:\Python27\pygame-1.9.1release>pip install pygame 'pip' is not recognized as an internal or external command,operable program or batch file. I have tried to run the setup.py file from pygame-1.9.1release but i got the following traceback... No Arguments...

How do I use yolk from within a python script to get the latest version for a specific package?

python,pip,pypi,yolk
I would like something like: yolk.get_lastest_version_number(package_name) which would return a version number. Thanks!...

pip3 list comes AssertionError

python,python-2.7,python-3.x,pip
when I do pip3 list in the terminal, it comes the following error: [email protected]:~$ pip3 list Exception: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 122, in main status = self.run(options, args) File "/usr/lib/python3/dist-packages/pip/commands/list.py", line 80, in run self.run_listing(options) File "/usr/lib/python3/dist-packages/pip/commands/list.py", line 142, in run_listing self.output_package_listing(installed_packages) File "/usr/lib/python3/dist-packages/pip/commands/list.py",...

Installing packages with pip with multiple python installs

python,windows,pip,anaconda
I have been using Anaconda python on Windows 7, but a package I need isn't supported by Anaconda python, so I installed CPython from python.org. I'd like to install the package to CPython, but pip still installs everything to C:\Anaconda\ ...\site-packages. How can I change this?

python urllib3 pip install error linux

linux,python-2.7,pip,failed-installation,urllib3
I am trying to install urllib3 using pip and get the error posted at the bottom of this message. I have wrestled with the issue for a few days days trying many things I have found online now without success, so I am finally posting here. Unfortunately I don't know...

Environment error while installing djang-cms on Ubuntu

python,django,ubuntu,pip,django-cms
I get the following error after passing the configuration of Django-cms. A couple of non-python packages seem to be missing. EnvironmentError: Pillow is not compiled with PNG support, see 'Libraries installation issues' documentation section: http://djangocms-installer.readthedocs.org/en/latest/libraries.html. Pillow is not compiled with JPEG support, see 'Libraries installation issues' documentation section: http://djangocms-installer.readthedocs.org/en/latest/libraries.html From...

openshift python pip install cffi fails

python-2.7,pip,openshift,python-cffi
When the application is deployed after git push to openshift repo I get an error when requirements.txt is start to installing. The thing is, in my local machine there is not issue when I execute pip install cffi remote: Requirement already satisfied (use --upgrade to upgrade): aniso8601==0.92 in /var/lib/openshift/myuser/app-root/runtime/dependencies/python/virtenv/lib/python2.7/site-packages (from...

Specify extras_require with pip install -e

python,git,pip
How can one manage to install extras_requires with pip when installing from a git repository ? I know that you can do pip install project[extra] when the project is on pypi. And you have to do pip install -e git+https://github.com/user/project.git#egg=project for a git repo but I didn't manage to find...

defining half of the module in one package and other half in another in python

python,python-2.7,pip
I want to do this. In package 1 xyz __init__.py abc __init__.py In package 2 xyz efg __init__.py to get an overall view with both combined. This is possible to do in java even though the classes are in separate jars. Is this something I can do in Python even...

pip broke after uninstalling a module

python,python-2.7,pip
I used pip uninstall on shapely and got an exception, which I did not save. Since then every pip or easy install command will pop this exception : Traceback (most recent call last): File "C:\Python27\lib\runpy.py", line 162, in _run_module_as_main "__main__", fname, loader, pkg_name) File "C:\Python27\lib\runpy.py", line 72, in _run_code exec...

pip install - killed

python,ubuntu,pip
I'm trying to install package with pip on Ubuntu server: $ pip install MySQLdb Downloading/unpacking MySQLdb Killed And it's getting killed. There is enough free RAM on server. Why it is killed? UPD Logs: Out of memory: Kill process 6627 (pip) score 297 or sacrifice child Thats strange, because I...

How should I generate requirements.txt? Pip Freeze not a good way

python-3.x,pip
How should I generate requirements.txt for Python projects? Here is the problem I am having with pip freeze. Suppose my package P requires A, B, C. Suppose C is a library that imports X, Y, Z, but only X is needed by P. Then if I: 1) Install A 2)...

UnicodeDecodeError in pip install flake8 on Windows 8.1

python,windows-8.1,pip,flake8
I'm trying to install the flake8 module for Python (in order to use the SublimeLinter-flake8 package to Sublime Text 3) but get an error message on install (below). What am I doing wrong here? C:\Windows\system32>python -m pip install flake8 Collecting flake8 Exception: Traceback (most recent call last): File "C:\Python27\lib\site-packages\pip\basecommand.py", line...

Plotly killed my python install

python,pip,anaconda,plotly
I just tried to install Plotly using pip. I am running python from Anaconda and now anytime I attempt to run anything python I get the following errors and I have no idea how to fix it. I am running on Windows 7 64bit, Python3,4 PS Z:\> pip Traceback (most...

Error installing pandas with pip on mac osx

python,debugging,pandas,pip
I am having trouble installing the pandas package through pip (and easy_install) on my Mac (10.7.5). My problem is pretty much this question: error installing pandas in pip But there is no answer there. The other questions pertaining to installing pandas on pip all appear to encounter different issue (ie...

Unable to install pip on suse

python,virtual-machine,pip,suse
Pretty new to linux/suse and python so excuse me if I cause some simple questions. I've search through stackoverflow and haven't gotten a result for my question. I'm running on Windows with a Virtual machine using SUSE. I'm trying to install py.test, but to install it, it needs either pip...

Pip in python34 does not work properly (OS Windows)

python-3.x,pip,packages,xlrd
I'm writing a data extraction from xls python script using xlrd. I'm having trouble however with pip, I just managed to get a positive reply from the cmd when i requested (I had some trouble with it at first, but a few posts helped out) py -m install requests The...

Pip broken on Ubuntu 14.4 after package upgrade

python,ubuntu,pip
I was trying to upgrade the python requests package on an EC2 ubuntu 14.4 instance. after doing this, which did not throw an error I ran pip freeze and got: [email protected]:~$ pip freeze Traceback (most recent call last): File "/usr/bin/pip", line 9, in <module> load_entry_point('pip==1.5.4', 'console_scripts', 'pip')() File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line...

install python module using a zip file

python,module,pip
I have downloaded a zip file from here but I don't know how to install it and then use it in my python 2.7 they said it supports both python 2 and 3 using command: "pip install hazm" after bunch of lines it gets to these errors: creating build\temp.win-amd64-2.7\Release\libwapiti\src C:\Users\Mohammad\AppData\Local\Programs\Common\Microsoft\Visual...

Ubuntu Installing Boto error

python,ubuntu,pip,boto
I've installed Python 2.7.9, and I'm trying to install Boto with pip install boto, but I receive this error: Collecting boto Using cached boto-2.36.0-py2.py3-none-any.whl Installing collected packages: boto Exception: Traceback (most recent call last): File "/usr/local/lib/python2.7/dist-packages/pip/basecommand.py", line 232, in main status = self.run(options, args) File "/usr/local/lib/python2.7/dist-packages/pip/commands/install.py", line 347, in run...

How to install PyTables 2.3.1 with Anaconda, missing HDF5 library

python,pip,hdf5,pytables,conda
I need to run an older verion of PyTables, that is 2.3.1, in and Anaconda environment on Linux. But I cannot install it. conda install -n myenv pytables=2.3.1 fails finding the appropriate version. conda install -n myenv pytables=2 installs PyTables 2.4.0 successfully. But I need 2.3.1. Also activating the environment...

Patch pyopenssl for sslv3 issue

python-2.7,debian,pip,pyopenssl,urllib3
I got a problem on a Debian 8 system with python 2.7.9-2 amd64: [email protected]:/usr/lib/python2.7/dist-packages/urllib3/contrib$ pip search doo Traceback (most recent call last): File "/usr/bin/pip", line 9, in <module> load_entry_point('pip==1.5.6', 'console_scripts', 'pip')() File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 356, in load_entry_point return get_distribution(dist).load_entry_point(group, name) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2476, in load_entry_point return ep.load() File...

Dependencies from git aren't being installed?

python,python-2.7,pip,setuptools,distutils
p0 depends on p1, which in turn depends on p2. p2 isn't getting installed, everything else is. I.e.: I get an ImportError in reference to p2 when I deploy p0 via Heroku. Note that all have lines in their requirements.txt like so: git+http://github.com/project/package Additionally I have tried putting everything in...

where does pip install it's packages?

python,django,pip,virtualenv
I activated a virtualenv which has pip installed. I did pip3 install Django==1.8 and Django successfully downloaded. Now, I want to open up the Django folder. Where is the folder located? Normally it would be in "downloads" but I'm not sure where it would be if I installed it using...

How pip determine a python package version

python,pip
When I use pip to install a package from source, it will generates a version number for the package which I can see using 'pip show '. But I can't find out how that version number is generated and I can't find the version string from the source code. Can...

AttributeError: 'VersionInfo' object has no attribute 'semantic_version'

python,pip
When use pip version 6.0+ to install a package, I got an error like the title.

Scikit-learn only working in python 2, not python 3

python,pip,scikit-learn
I installed scikit-learn using pip: sudo pip install -U numpy scipy scikit-learn When I ran it in python (2), it worked fine: adamg:~ adamg$ python Python 2.7.9 (default, Feb 10 2015, 03:28:08) [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.56)] on darwin Type "help", "copyright", "credits" or "license" for more information....

Having trouble installing Django 1.8 in virtualenv

python,django,pip
I'm in my project directory (a Django project) on the target device (Raspberry Pi) and want to install Django 1.8 in a virtual environment. I run the following commands: sudo pip-3.2 install virtualenv virtualenv-3.2 venv source venv/bin/activate pip-3.2 install Django==1.8 But pip tries to install Django at /usr/local/lib and errors...

Installed Flask in a virtualenv yet “command not found”

python,flask,pip,virtualenv
Installed virtualenv, activated it, pip installed flask, and yet, when i try to run a script or see if it recognised, i get command not found. (project)[email protected]:~/project$ pip list Flask (0.10.1) itsdangerous (0.24) Jinja2 (2.7.3) MarkupSafe (0.23) pip (1.5.6) setuptools (5.5.1) Werkzeug (0.10.4) (project)[email protected]:~/project$ flask -bash: flask: command not found...

Django MySQLClient pip compile failure on Linux

python,linux,django,gcc,pip
Django documentation as of v1.8 recommends using mysqlclient connector for the framework. I'm attempting to pip install the package on Ubuntu 14.04 with Python 3.4 and running into a GCC error that I'm unable to find reference to. I'm not an expert on compiling software, so was hoping somebody can...

Installing modules in Python without command line

python,pygame,pip
Hi I am going interstate and will only have my laptop with me, I do not have admin rights on it and the use of Cmd is banned. I want to be able to use Pygame on my laptop. How can I install the module without command line?

Creating python module with command line arguments

python,pip
I've uploaded a python module to pypi and locally installed the module with: pip install microarray_quantilenorm I'm trying to run the module on commandline with pass-through arguments. When I call the python script directly from site-packages, everything works fine. python /site-packages/microarray_quantilenorm/microarray_quantilenorm.py *csv But calling: python -m microarray_quantilenorm.__main__ *csv OR: python...

How is Pip able to install packages by name or URL?

python,python-2.7,pip
I knew that you could install Python packages by name with pip, but I recently found out that you can install Python packages by URL. For example: pip install http://www.crummy.com/software/BeautifulSoup/unreleased/4.x/BeautifulSoup-4.0b.tar.gz How is Pip able to do this? What if a package name looks like a URL?...

Python 3.x - Error while installing packages using pip

python,python-3.x,pip
I've got a problem while I want to install couple packages for python 3.4. The problem appears while I want to type pip. Any commands after word pip, easy_install are giving the same error. Installed get-pip.py before but the error still occurs: C:\Users\Konrad>pip Fatal error in launche: Job information querying...

Access denied message when tried to install python module

python,oauth,module,pip
When i tried installing oauth module in python using pip pip install oauth I get this error Downloading/unpacking oauth Downloading oauth-1.0.1.tar.gz Running setup.py (path:/tmp/pip_build_mounarajan/oauth/setup.py) egg_info for package oauth Installing collected packages: oauth Running setup.py install for oauth error: could not create '/usr/local/lib/python2.7/dist- packages/oauth': Permission denied Complete output from command /usr/bin/python...

python tool to create skeleton for PyPI package?

python,gem,pip,cpan,pypi
I want to write my first python package that I can upload to PyPi. My question is is there any tool to initialize the required skeleton for the PyPi package ? So far I have found instructions here http://peterdowns.com/posts/first-time-with-pypi.html but it requires me to create all the files manually. I...

Orange app can't find MySQLdb. How do I install it?

python,pip,orange
I've installed the Orange app on my Mac and when I try a "Prototypes > SQL" widget, I get an error when executing the query. It says the MySQLdb Python library is not found/installed. How do I go about installing it so that the Orange app can find it?...

How to Install InfluxDB in Google App Engine python project?

python,linux,google-app-engine,pip,influxdb
I want to add influxdb-python https://github.com/influxdb/influxdb-python to my app-engine project . But using $ pip install influxdb would only install it on the local machine. How should I install it as a library to my project?

How to install requests module in python 3.4 version on windows?

pip,python-3.4
What command should I use in command prompt to install requests module in python 3.4 version ??? pip install requests is not useful to install requests module in python 3.4 version. Because while running the script below error is coming ImportError : no module named 'requests'...

pip can't install package because it can't find swig2.0 binary

python-2.7,pip,swig
I'm using python 2.7.9 (64 bit) with pip 1.5.6 and virtualenv 12.1.1 on Windows 7 powershell. I created a virtual environment named NeuralNetwork and I'm trying to install the package fann2 1.0.7: PS C:\Python27\envs\NeuralNetwork\Scripts> pip.exe install fann2 Collecting fann2 (...) Exception: Couldn't find swig2.0 binary! I guess I have to...

Proxy awareness with pip

python,proxy,pip
I have tried to set up a python development environment at my work place to create some basic applications. I can't seem to get pip to work, for example I type in pip install numpy and get the following error message: Retrying (Retry(total=3, connect=None, read=None, redirect=None)) after connection broken by...

What is the purpose of $HOME/.local

python,pip
I've noticed that I have $HOME/.local on my machine and seems that this directory contains mostly stuff related to python, here is it's full list (it is a bit long). I would like to ask which action created this directory? I suppose it was pip install --user -r requirements.txt (bellow...

Broken pip3 and easy_install3: DistributionNotFound

python,pip
(Possible duplication: python pkg_resources.DistributionNotFound error) My pip3 seems to be broken: $ pip3 --version Traceback (most recent call last): File "/usr/bin/pip3", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3/dist-packages/pkg_resources.py", line 2708, in <module> working_set.require(__requires__) File "/usr/lib/python3/dist-packages/pkg_resources.py", line 686, in require needed = self.resolve(parse_requirements(requirements)) File...

Python version incorrectly identified

python,python-3.x,pip
I have begun using pyqtdeploy for using pyqt and making cross platform apps. Unfortunately, When I actually try to launch it, I get the error: Fatal error in launcher: Unable to create process using C:\Python34\python.exe C:\Python34\pyqtdeploy I read this earlier question, but python3 -m pip install pyqtdeploy --upgrade was also...

Package (Python PIL/Pillow) installed but I can't import it

python,package,pip,packages,pillow
I've been using python for simple data processing scripts, but now I want to do some image processing and I encountered a problem. Importing the pillow module doesn't seem to work. I found a simple script here to check what packages are installed and I found it, but importing it...

Installing Twisted through pip broken on one server

python,pip,virtualenv,twisted
I am setting up a virtualenv on a new server, and when I used pip on our requirements file, it kept dying on Twisted. I commented the Twisted line out, and everything else installed fine. At the command line, this is the output I see when I try to install...

pytz install on Mac

python,osx,pip,pytz
Django informs me "ImportError: No module named pytz", but when I go to use pip to install it, I get this result: Requirement already satisfied (use --upgrade to upgrade): pytz in /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python Is it possible that it is looking in the wrong location, or that I need to try to...

pip command is not being recognized

python,django,pip,setuptools
I am installing python and Django on my shared host server. I have followed the guide located here to install python and pip http://flailingmonkey.com/install-django-justhost/ As I've encountered the problem of python never using 3.4.2 I've followed a different guide to install python 3.4.2 which is here http://joemaller.com/1717/building-python-on-shared-hosting/ After I installed...

pip: How to install into /usr/local

python,installation,pip
If I run pip install as root, I want it to install into /usr/local. This works on some linux systems, but on others it does not. How can I force pip to install into my desired directory? A solution using a config file would be preferred to a solution with...

Upgrade permission denied: how to upgrade pip on Mac OS X? [closed]

python,osx,pip
I'm new to Mac OS X. I want to set up an environment for python programming. I'm using pip to manage the third party packages. I installed pip with easy_install. sudo easy_install pip I tried to upgrade pip from 6.1.0 to 6.1.1. However, my request was declined and I got...

Zurb Foundation Tooltip: bottom tooltip, but have pip on the right

tooltip,zurb-foundation,pip,right-align
I currently have a short link that I want a Foundation tooltip for, and the tooltip has to be beneath the link (tip-bottom). Normally, the Foundation tooltip has the pip on the left (and the tooltip expands to the right), but this won't work for me because my link is...

Error when install pip

python,linux,pip
I have installed python2.7 on Linux and I want to install pip under /path/to/python2.7.9/bin. So I did this: > cd /path/to/setuptools-16.0 > /path/to/python2.7.9/bin/python setup.py install > cd /path/to/pip-7.0.0 > /path/to/python2.7.9/bin/python setup.py install Then pip is installed under /path/to/python2.7.9/bin. But when I executed /path/to/python2.7.9/bin/pip, it shows: > ~/local/python-2.7.9/bin/pip Traceback (most recent...

How to keep npm / pip / etc packages safe when they are down / deleted

python,node.js,deployment,npm,pip
It's great to use the easy package installers like NPM, PIP, etc. For our deployment to Amazon Elastic Beanstalk we take advantage of those to download / install the required packages using a requirements.txt file and using the .ebextensions/*.config file. The only thing I hate is that it make me...

How to install requests module in Python 3.4, instead of 2.7

python-3.x,pip,python-requests
I have both Python 2.7 and 3.4 installed on my Ubuntu 14.04 machine. I want to install the 'requests' module so it is accessible from Py3.4. When I issued pip install requests on my terminal cmd line I got back: "Requirement already satisfied (use --upgrade to upgrade): requests in /usr/lib/python2.7/dist-packages"...

pip issues in Windows

python,pip
I just installed a brand new copy of Python in Win7 using python-3.4.3.amd64.msi. During the install log, I saw mention of pip getting installed. But when I try to use it: >>> pip Traceback (most recent call last): File "<stdin>", line 1, in <module> NameError: name 'pip' is not defined...

AWS CLI not working on Mac OSX Yosemite

python-2.7,amazon-web-services,pip,amazon,command-line-interface
I've successfully downloaded the AWS CLI using PIP onto Mac OSX Yosemite. I'm running Python version 2.7. I can see the AWS executable in /Library/Frameworks/Python.framework/Versions/2.7/bin. But when I try to run aws help in my Terminal to test that the AWS CLI works, I get -bash: aws: command not found...

ubuntu python pip can't uninstall pillow

python,pip,pillow
When I try to uninstall pillow using pip ,it outputs: [email protected]:~$ pip uninstall pillow Uninstalling Pillow: /usr/local/bin/pilconvert.py ...... /usr/local/lib/python2.7/dist-packages/Pillow-2.7.0.egg-info Proceed (y/n)? y Exception: Traceback (most recent call last): File "/usr/local/lib/python2.7/dist-packages/pip-1.5.4-py2.7.egg/pip/basecommand.py", line 122, in main status = self.run(options, args) File "/usr/local/lib/python2.7/dist-packages/pip-1.5.4-py2.7.egg/pip/commands/uninstall.py", line 59, in run...

Is there a way to install django with pip to point to a specific version of python in virtualenv

python,django,pip,virtualenv
I have a system with CentOS installed. It currently runs python2.6, but python2.7 is also installed. I want to run django 1.7, which is also currently installed. If I run django outside of a virtualenv, it is using python2.6 by default. I didn't install it myself. What I assume is...

Installing Scrapy on Mac OSX 10.9.5

osx,python-2.7,scrapy,pip,pip-install-cryptography
I've new to python and have hit a wall with installing scrapy. Environment Details: MacBook pro OSX 10.9.5 XCode and Command Line utilities are installed Python 2.7.9 is installed in /usr/local/bin/python Python 2.7.5 (distrib as part of OSX) is installed in /usr/bin/python using pip install Approach tried to date Initial...

Installing django-cms on Ubuntu 14.04

python,django,ubuntu,pip,django-cms
I've been trying to install django-cms into a virtual environment on Ubuntu. I've exactly followed the installation instructions in the docs (http://django-cms.readthedocs.org/en/support-3.0.x/introduction/install_from_scratch.html) but I keep getting an error after the following command. djangocms -p . mysite Error: Path '.' already exists and is not empty, please choose a different one...

Error while installing pygame using pip for python 3.4

python,install,pygame,pip
Sorry, thought i edited to say i am on windows 64 bit When trying to install Pygame using pip, I get the following error: "requirement 'pygame.whl' looks like a file name, but the file does not exist pygame.whl is not a valid wheel filename." I have my file paths right...

How to install pip on python (erreur : No such file or directory)

python,django,osx,pip,easy-install
To be honest, I'm really going crazy. I'm trying to Install Django on my Mac so I have to install pip on Python, and I don't know why the instructions I found on internet don't work for me... Here my problem : sudo easy_install pip sudo: unable to execute /usr/local/bin/easy_install:...

nosetests pip install error on python 3.4 in a virtualenv

python-3.x,pip,nose
Upgrading app from python 2.7 to 3.4 and nose is generating the following error: Collecting nose==1.3.4 (from -r requirements/dev.txt (line 9)) Exception: Traceback (most recent call last): File "/Users/me/.virtualenvs/python3.4/lib/python3.4/site-packages/pip/basecommand.py", line 215, in main status = self.run(options, args) File "/Users/me/.virtualenvs/python3.4/lib/python3.4/site-packages/pip/commands/install.py", line 339, in run requirement_set.prepare_files(finder) File...

Can't install Rodeo with pip on Ubuntu

python,python-2.7,ubuntu,pip,ubuntu-14.04
I can't install Rodeo with pip, on Ubuntu 14.04.2 LTS 64 bit (installed on a Virtual Box) For information I'm a Python and Ubuntu beginner and I installed pip by following this tutorial pip -V pip 6.1.1 from /usr/local/lib/python2.7/dist-packages (python 2.7) Problem: When I execute pip install -U rodeo I...

Python2.7 - pip install pymssql fails on CentOS 6.3

python,centos,pip,freetds,pymssql
I am trying to install pymssql for Python on a CentOS machine however it keeps failing on me. I have already installed the following: freetds-devel python-devel Which seems to be the fix I keep coming across in searches, however I have already installed both of these and I am still...

jython.exe “2.7.0 final release” failed execution on my Windows OS

pip,jython
OS: Windows 7, 64-bit Here I learn that the latest version of Jython (downloads/installs as "2.7.0") includes the "ensurepip" module, which hopefully installs pip. This is what I get... NB there is no drive "Z:" on my machine D:\apps\jython2.7.0\bin>jython -m ensurepip Traceback (most recent call last): File "<string>", line 444,...

Sublime text 3 using pip to download stuff

python-3.x,pip,sublimetext3
I have set my sublime text to build on python version 3.4.3. I am trying to download Scrapy to test some stuff, but pip download is failing. My code in sublime text is : import sys print (sys.version) pip install Scrapy Output: File "/Users/X/Documents/Learn/XX/Python1.py", line 3 pip install Scrapy ^...

pip3: command not found but python3-pip is already installed

python,pip
I can't use pip3 though python3-pip has already been installed. How to solve the problem? sudo pip3 install virtualenv sudo: pip3: command not found sudo apt-get install python3-pip Reading package lists... Done Building dependency tree Reading state information... Done python3-pip is already the newest version. 0 upgraded, 0 newly installed,...

Automate Python application installation

python,bash,pip,distutils,easy-install
I have a Java application that should interact with Python agents installed on remote machines. My main application has a SSH access to these remote machines. To make user's live simpler, I want to automate process of agent installation, so user can just push button and main application connects, install...

Why don't I have permission to install psycopg2 in a virtualenv

linux,ubuntu,pip,psycopg2
My goal is to serve a hello world Django app that uses postgres on an EC2 instance running Ubuntu. I logged in via ssh and cloned a git repo containing a Django project with this requirements.txt: Django==1.8.2 djangorestframework==3.1.2 psycopg2==2.6 I created a virtualenv and then, when I ran (ec2_deploy_test)[email protected]:~/ec2-deploy-test$ pip...

Get date and time of installation for packages installed via pip

python,package,pip
I would like to find a way to get the calendar date and time in hour:minute:seconds format for my packages installed via pip. I would like to be able to see something in output like: Month/Day/Year - Hour:Minute:Seconds for each package. Thanks!...

Error trying to install Django with pip

python,ssl,pip,failed-installation
I get the following error when I do "pip install django" in OSX... Downloading/unpacking django Error <urlopen error [Errno 1] _ssl.c:504: error:0D0890A1:asn1 encoding routines:ASN1_verify:unknown message digest algorithm> while getting https://pypi.python.org/packages/source/D/Django/Django-1.8.1.tar.gz#md5=0f0a677a2cd56b9ab7ccb1c562d70f53 (from https://pypi.python.org/simple/django/) Cleaning up... Exception: Traceback (most recent call last): File "/Users/garylewis/anaconda/lib/python2.7/site-packages/pip/basecommand.py", line...

jira-python package in pip has gone?

python,pip,jira
I tried to install jira-python via pip. pip install jira pip install jira-python jira package installed normally, but jira-python package returns error that there is no matching version. I think there seems a problem with package in pip. https://pypi.python.org/pypi/jira-python page also rises 404 error. Is there any method to install...